<?
	session_start();
	include ("../conf/configuracao.php");
	include ('../include/functions.php');
	include ("../include/inicio.php");
	include("../var_configs.php");
?>

<table bgcolor="<? echo $cor_fund_tab; ?>" width="96%" border="<? echo $tamanho_bord; ?>" cellspacing="0" cellpadding="5" align="center" bordercolor="<? echo $cor_bord_tab; ?>">
<tr>
	<td width="20%" valign="top">
		<font face="<? echo $tipo_fonte; ?>" size="<? echo $tam_fonte; ?>" color="<? echo $cor_texto; ?>">
			<div align="justify">
				<?
					include ("../menu.php");
				?>
			</div>
		</font>
	</td>
	<td width="80%" valign="top">
<?
	mysql_connect( $bd_host, $bd_user, $bd_senha )
        or die ( 'Não foi possível conectar ao Servidor.' );
    mysql_select_db( $bd_database )
        or die ( 'Não foi possível conectar a Base de Dados.' );
    $sql = "SELECT * FROM configuracao Where codigo = $local";
    $result = mysql_query($sql)
        or die ( 'Não foi possível executar a query.' );
	while($information = mysql_fetch_array($result)){
		echo '<b><font face="' . $tipo_fonte . '" size="' . $tam_fonte . '" color="' .$cor_texto . '">' . $information["texto"] . '</font></b>';
	}
?>
<br>
<br>
<br>
		<table bgcolor="<? echo $cor_fund_tab; ?>" width="100%" border="1" cellspacing="0" cellpadding="0" align="<? echo $alin_tab; ?>" bordercolor="<? echo $cor_bord_tab; ?>">
		<?
			mysql_connect( $bd_host, $bd_user, $bd_senha )
		        or die ( 'Não foi possível conectar ao Servidor.' );
		    mysql_select_db( $bd_database )
		        or die ( 'Não foi possível conectar a Base de Dados.' );

		    $sql = "SELECT * FROM cursos WHERE ";
	   	    $N_Cursos_deste = count($var_Cursos)-1;
		    for ($i=0;$i<=$N_Cursos_deste;$i++)
		    {
		    	if ($i==$N_Cursos_deste)
		    	{
		  		$sql .= "codigo=".$var_Cursos[$i]." ORDER BY nome_curso ASC";
			}
			else
			{
				$sql .= "codigo=".$var_Cursos[$i]." or ";
			}
		   }


		    //ALGUNS CURSOS
		    //$sql = "SELECT * FROM cursos  where codigo = 10 or codigo = 7 or codigo = 18 or codigo = 20 or codigo = 21 or codigo = 22 ORDER BY codigo_curso ASC ";
		    //TODOS OS CURSOS
		    //$sql = "SELECT * FROM cursos WHERE codigo != 3 and codigo != 4 ORDER BY codigo_curso ASC ";		    
		    $result = mysql_query($sql)
		        or die ( 'Não foi possível executar a query.' );
		?>
			<tr>
<?
				    $sql_1 = "SELECT * FROM provas order by codigo";
				    $result_1 = mysql_query($sql_1)
				        or die ( 'Não foi possível executar a query.' );
			        $num = mysql_num_rows($result_1);
					$calculo = 100 / $num+1;
					$calculo = $calculo . '%';
?>
				<td width="<? echo $calculo; ?>"><center><font face="<? echo $tipo_fonte; ?>" size="<? echo $tam_fonte ; ?>" color="<? echo $cor_texto ; ?>"><strong>Cursos</strong></font></center></td>
<?
					while($info = mysql_fetch_array($result_1)){
						echo '<td width="' . $calculo . '">';
							echo '<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '"><b>' . $info["materia"];
						$temp_lingua = $info["materia"];
						if ($temp_lingua == 'Lingua Estrangeira:') {
							echo '<br>';
					  	      $sql_2 = "SELECT * FROM linguas order by codigo";
							$result_2 = mysql_query($sql_2)
				        			or die ( 'Não foi possível executar a query.' );
							while($info_1 = mysql_fetch_array($result_2)){
								echo $info_1["lingua"] . ' ';
							}
						}
						echo '</b></font></center>';
						echo '</td>';
					}
?>
				</td>			
			</tr>
		<?
			while($information = mysql_fetch_array($result)){
				echo '<tr>';
				echo '<td>';
					echo '<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">' . $information["nome_curso"] . '</font></center>';
				echo '</td>';
					$auxiliar = $information["codigo"];
					//  Where codigo_do_curso = $auxiliar
				    $sql_1 = "SELECT * FROM pesos where codigo_vest = '$var_Vestibular'";
				    $result_1 = mysql_query($sql_1)
				        or die ( 'Não foi possível executar a query.' );
			        $num = mysql_num_rows($result_1);
					if ($num == 0) {
							echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">Não definido</font></center></td>';
							echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">Não definido</font></center></td>';
							echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">Não definido</font></center></td>';
							echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">Não definido</font></center></td>';
							echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">Não definido</font></center></td>';
					}
					else {
						$a = 0;
						$c=1;
						while($info = mysql_fetch_array($result_1)){
							$auxiliar1 = $info["codigo_do_curso"];
							if ((trim($auxiliar)) == (trim($auxiliar1))) {
								echo '<td>' .'<center><font face="' . $tipo_fonte . '" size="1" color="' .$cor_texto . '">' . $info["peso"].'</font></center></td>';
						}
					}
					}
				echo '</tr>';
			}
		?>
		</table>
	</td>
</tr>




<? 
	include ("../include/fim.php");
?>
